> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a split

> Updates the specified split. When updating the recipients or products array, the entire array is replaced with the newly provided one.



## OpenAPI

````yaml patch /splits/{id}
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /splits/{id}:
    patch:
      tags:
        - Splits
      summary: Update a split
      description: >-
        Updates the specified split. When updating the recipients or products
        array, the entire array is replaced with the newly provided one.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                apply_to_all_products:
                  type: boolean
                products:
                  type: array
                  items:
                    type: string
                recipients:
                  type: array
                  items:
                    type: object
                    properties:
                      email:
                        type: string
                      store_id:
                        type: string
                      share_type:
                        type: string
                        enum:
                          - percentage
                          - fixed
                      share_value:
                        type: number
      responses:
        '200':
          description: Split updated successfully

````